varying vec2 backgroundTexCoord;

#ifdef HAS_GLOWMAP
  uniform sampler2D m_GlowMap;
#endif

#ifdef HAS_GLOWCOLOR
  uniform vec4 m_GlowColor;
#endif


void main(){
   
    #ifdef HAS_GLOWMAP
    	#ifdef HAS_GLOWCOLOR
        	gl_FragColor = texture2D(m_GlowMap, backgroundTexCoord).a*m_GlowColor;
        #else
        	gl_FragColor = texture2D(m_GlowMap, backgroundTexCoord);
        #endif
    #else
        #ifdef HAS_GLOWCOLOR
            gl_FragColor =  m_GlowColor;
        #else
            gl_FragColor = vec4(0.0);
        #endif
    #endif
}